<%@ Page language="c#" AutoEventWireup="false" EnableViewState="false" Inherits="FangPage.BBS.index" %>
<%@ Import namespace="FangPage.Common" %>
<%@ Import namespace="FangPage.Entity" %>

<script runat="server">
override protected void OnInit(EventArgs e)
{

	/* 
	    本页面代码由方配BMS模板引擎(V5.2.26.15)生成于 2012/2/16 10:21:49. 
	*/

	base.OnInit(e);
	templateBuilder.Append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\r\n");
	templateBuilder.Append("<html xmlns=\"http://www.w3.org/1999/xhtml\">\r\n");
	templateBuilder.Append("<head>\r\n");
	templateBuilder.Append("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />\r\n");
	templateBuilder.Append("<title>方配软件技术有限公司(FangPage.Com) - 专注于软件技术开发，探索永不停止</title>\r\n");
	templateBuilder.Append("" + meta.ToString() + "\r\n");
	templateBuilder.Append("<link href=\"templates/fangpage/style/bbs.css\" type=\"text/css\" rel=\"stylesheet\" />\r\n");
	templateBuilder.Append("<!--css-->\r\n");
	templateBuilder.Append("<style type=\"text/css\">\r\n");
	templateBuilder.Append("body {\r\n");
	templateBuilder.Append("	font-family:Tahoma;\r\n");
	templateBuilder.Append("	font-size:12px;\r\n");
	templateBuilder.Append("	background:#fff;\r\n");
	templateBuilder.Append("	color:#333\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("h1, h2, h3, h4, h5, h6, form, body {\r\n");
	templateBuilder.Append("	padding:0;\r\n");
	templateBuilder.Append("	margin:0\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("td, th, div {\r\n");
	templateBuilder.Append("	word-break:break-all;\r\n");
	templateBuilder.Append("	word-wrap:break-word\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("table {\r\n");
	templateBuilder.Append("	empty-cells:show;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("img {\r\n");
	templateBuilder.Append("	border:0\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("h1 {\r\n");
	templateBuilder.Append("	font-size:16px;\r\n");
	templateBuilder.Append("	margin:.5em 1em 1em 0\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("h3, h2 {\r\n");
	templateBuilder.Append("	display:inline;\r\n");
	templateBuilder.Append("	font-size:1.0em;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("h3 {\r\n");
	templateBuilder.Append("	font-weight:normal\r\n");
	templateBuilder.Append("}/*h3 文章列表页文章标题*/\r\n");
	templateBuilder.Append("h2 a {\r\n");
	templateBuilder.Append("	color:#000\r\n");
	templateBuilder.Append("}/*h2 板块列表页板块名称标题*/\r\n");
	templateBuilder.Append("h3 a {\r\n");
	templateBuilder.Append("	color:#333\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("h4 {\r\n");
	templateBuilder.Append("	margin:20px 0 10px;\r\n");
	templateBuilder.Append("	font-size:1.1em\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("textarea, input, select {\r\n");
	templateBuilder.Append("	font:12px Arial;\r\n");
	templateBuilder.Append("	padding:1px 3px 0 3px;\r\n");
	templateBuilder.Append("	vertical-align:middle;\r\n");
	templateBuilder.Append("	margin-bottom:1px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".c {\r\n");
	templateBuilder.Append("	clear:both;\r\n");
	templateBuilder.Append("	height:0px;\r\n");
	templateBuilder.Append("	font:0px/0px Arial;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".b {\r\n");
	templateBuilder.Append("	font-weight:bold\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".w {\r\n");
	templateBuilder.Append("	white-space:nowrap\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tal {\r\n");
	templateBuilder.Append("	text-align:left\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tac {\r\n");
	templateBuilder.Append("	text-align:center\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tar {\r\n");
	templateBuilder.Append("	text-align:right\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".fr {\r\n");
	templateBuilder.Append("	float:right\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".fl {\r\n");
	templateBuilder.Append("	float:left\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("/*a link 基本连接颜色*/\r\n");
	templateBuilder.Append("a {\r\n");
	templateBuilder.Append("	text-decoration:none;\r\n");
	templateBuilder.Append("	color:#2B76B0\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("a:hover {\r\n");
	templateBuilder.Append("	text-decoration:none;\r\n");
	templateBuilder.Append("	color:#F00;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".abtn {\r\n");
	templateBuilder.Append("	cursor:pointer;\r\n");
	templateBuilder.Append("	border:1px solid #76BAC2;\r\n");
	templateBuilder.Append("	color:#2B76B0;\r\n");
	templateBuilder.Append("	padding:2px 8px 2px;\r\n");
	templateBuilder.Append("	font-family:simsun\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("/*字体大小*/\r\n");
	templateBuilder.Append(".f9 {\r\n");
	templateBuilder.Append("	font-size:11px;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".f10 {\r\n");
	templateBuilder.Append("	font-size:11px;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".f12 {\r\n");
	templateBuilder.Append("	font-size:12px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".f14 {\r\n");
	templateBuilder.Append("	font-size:14px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".fn, .fn a {\r\n");
	templateBuilder.Append("	font-weight:normal\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("/*span color 数值自定义*/\r\n");
	templateBuilder.Append(".s0 {\r\n");
	templateBuilder.Append("	color:#333\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".s1 {\r\n");
	templateBuilder.Append("	color:#008000;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".s2 {\r\n");
	templateBuilder.Append("	color:#984B98;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".s3 {\r\n");
	templateBuilder.Append("	color:#FA891B;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".s4 {\r\n");
	templateBuilder.Append("	color:#0033FF;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".s5 {\r\n");
	templateBuilder.Append("	color:#659B28\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".gray {\r\n");
	templateBuilder.Append("	color:#818a89\r\n");
	templateBuilder.Append("} /*次要文字颜色-可定义*/\r\n");
	templateBuilder.Append("/*main color 数值自定义*/\r\n");
	templateBuilder.Append(".f_one, .t_one, .r_one {\r\n");
	templateBuilder.Append("	background:#ffffff;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".f_two, .t_two, .r_two {\r\n");
	templateBuilder.Append("	background:#F4FBFF;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("/*form*/\r\n");
	templateBuilder.Append("textarea, input, select {\r\n");
	templateBuilder.Append("	font:12px Arial;\r\n");
	templateBuilder.Append("	padding:1px 3px 0 3px;\r\n");
	templateBuilder.Append("	vertical-align:middle;\r\n");
	templateBuilder.Append("	margin-bottom:1px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("select {\r\n");
	templateBuilder.Append("	border:solid 1px #D5E5E8;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".btn {\r\n");
	templateBuilder.Append("	background:#fff url(templates/fangpage/images/h.gif) 0 bottom repeat-x;\r\n");
	templateBuilder.Append("	color:#005368;\r\n");
	templateBuilder.Append("	border-width:1px;\r\n");
	templateBuilder.Append("	padding-left:15px;\r\n");
	templateBuilder.Append("	padding-right:15px;\r\n");
	templateBuilder.Append("	vertical-align:middle\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".input {\r\n");
	templateBuilder.Append("	border:solid 1px #76BAC2;\r\n");
	templateBuilder.Append("	padding:2px 0px 2px 1px;\r\n");
	templateBuilder.Append("	font-size:1.0em;\r\n");
	templateBuilder.Append("	vertical-align:middle\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("form {\r\n");
	templateBuilder.Append("	display:inline;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("textarea {\r\n");
	templateBuilder.Append("	border:solid 1px #76BAC2;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("/*header*/\r\n");
	templateBuilder.Append("#header {\r\n");
	templateBuilder.Append("	width:956px;\r\n");
	templateBuilder.Append("	margin:auto;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("/*toolbar*/\r\n");
	templateBuilder.Append(".toptool {\r\n");
	templateBuilder.Append("	border-bottom:1px solid #D5E5E8;\r\n");
	templateBuilder.Append("	background:#F7F7F7 url(templates/fangpage/images/guide.gif) 0 bottom repeat-x;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".toptool span {\r\n");
	templateBuilder.Append("	padding:1px 5px;\r\n");
	templateBuilder.Append("	line-height:180%\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("/*index info*/\r\n");
	templateBuilder.Append("#infobox, #profile-menubar {\r\n");
	templateBuilder.Append("	border:#D5E5E8 1px solid;\r\n");
	templateBuilder.Append("	margin-top:-.6em;\r\n");
	templateBuilder.Append("	background:url(templates/fangpage/images/infobox.gif) 0 0 repeat-x #E1F6F9;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("#notice {\r\n");
	templateBuilder.Append("	padding:.3em 0;\r\n");
	templateBuilder.Append("	height:18px;\r\n");
	templateBuilder.Append("	border-top:1px dashed #76BAC2\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("#notice a {\r\n");
	templateBuilder.Append("	padding-left:1em;\r\n");
	templateBuilder.Append("	background:url(templates/fangpage/images/dotB.png) no-repeat 0 .1em;\r\n");
	templateBuilder.Append("	margin-left:1em\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("/*banner*/\r\n");
	templateBuilder.Append(".banner img {\r\n");
	templateBuilder.Append("	vertical-align:middle;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("/*guide*/\r\n");
	templateBuilder.Append(".guide {\r\n");
	templateBuilder.Append("	background:#F7F7F7 url(templates/fangpage/images/guide.gif) 0 bottom repeat-x;\r\n");
	templateBuilder.Append("	height:32px;\r\n");
	templateBuilder.Append("	border:1px solid #D5E5E8;\r\n");
	templateBuilder.Append("	color:#ccc;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("td.guide {\r\n");
	templateBuilder.Append("	border:0;\r\n");
	templateBuilder.Append("	border-bottom:1px solid #D5E5E8\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("/*table*/\r\n");
	templateBuilder.Append(".t {\r\n");
	templateBuilder.Append("	border:1px solid #76BAC2;\r\n");
	templateBuilder.Append("	margin:0px auto 8px;\r\n");
	templateBuilder.Append("	height:auto;\r\n");
	templateBuilder.Append("	overflow:hidden\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".t table {\r\n");
	templateBuilder.Append("	border:1px solid #ffffff;\r\n");
	templateBuilder.Append("	margin:0;\r\n");
	templateBuilder.Append("	width:100%\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".t2 {\r\n");
	templateBuilder.Append("	border-top:#76BAC2 1px solid;\r\n");
	templateBuilder.Append("	margin:0px auto 5px;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".t3 {\r\n");
	templateBuilder.Append("	margin:auto\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".t4 {\r\n");
	templateBuilder.Append("	padding:1px 0 1px 1px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("/*table head*/\r\n");
	templateBuilder.Append(".h {\r\n");
	templateBuilder.Append("	border-bottom:1px solid #AED6DB;\r\n");
	templateBuilder.Append("	background:#CEECF0 url(templates/fangpage/images/h.gif) 0 0 repeat-x;\r\n");
	templateBuilder.Append("	text-align:left;\r\n");
	templateBuilder.Append("	color:#005368;\r\n");
	templateBuilder.Append("	padding:.3em .5em 0;\r\n");
	templateBuilder.Append("	line-height:210%\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".h span {\r\n");
	templateBuilder.Append("	font-weight:normal;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".h h2 {\r\n");
	templateBuilder.Append("	font-weight:bold\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".h a {\r\n");
	templateBuilder.Append("	font-family:Arial;\r\n");
	templateBuilder.Append("	color:#005368\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".h span a, .h span {\r\n");
	templateBuilder.Append("	color:#5495A0;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".h a.a2 {\r\n");
	templateBuilder.Append("	margin-left:12px;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".closeicon {\r\n");
	templateBuilder.Append("	margin-top:.5em\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("/* tab */\r\n");
	templateBuilder.Append(".tab {\r\n");
	templateBuilder.Append("	float:left;\r\n");
	templateBuilder.Append("	padding:0 .8em 0;\r\n");
	templateBuilder.Append("	border:1px solid #ffffff;\r\n");
	templateBuilder.Append("	background:#AED6DB;\r\n");
	templateBuilder.Append("	border-bottom:0;\r\n");
	templateBuilder.Append("	line-height:200%;\r\n");
	templateBuilder.Append("	margin-top:3px;\r\n");
	templateBuilder.Append("	cursor:pointer;\r\n");
	templateBuilder.Append("	margin:2px 0;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".h span.activetab {\r\n");
	templateBuilder.Append("	border-color: #76BAC2;\r\n");
	templateBuilder.Append("	cursor:default;\r\n");
	templateBuilder.Append("	font-weight:700\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("/*table tr1*/\r\n");
	templateBuilder.Append(".tr1 th {\r\n");
	templateBuilder.Append("	padding:5px 10px;\r\n");
	templateBuilder.Append("	text-align:left;\r\n");
	templateBuilder.Append("	vertical-align:top;\r\n");
	templateBuilder.Append("	font-weight:normal;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tr1 td.td1 {\r\n");
	templateBuilder.Append("	border:1px solid #D5E5E8;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("/*table tr2*/\r\n");
	templateBuilder.Append(".tr2 {\r\n");
	templateBuilder.Append("	background:#F7F7F7 url(templates/fangpage/images/tr2bg.png) 0 0 repeat-x;\r\n");
	templateBuilder.Append("	color:#AFCE50;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tr2 td, .tr2 th {\r\n");
	templateBuilder.Append("	line-height:18px;\r\n");
	templateBuilder.Append("	border-bottom:1px solid #daddbf;\r\n");
	templateBuilder.Append("	padding:2px 6px 0px;/*border-top:1px solid #76BAC2;*/\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tr2 a {\r\n");
	templateBuilder.Append("	color:#AFCE50;\r\n");
	templateBuilder.Append("	margin:2px 2px 0\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("/*table tr3*/\r\n");
	templateBuilder.Append(".tr3 td, .tr3 th {\r\n");
	templateBuilder.Append("	border-bottom:1px solid #D5E5E8;\r\n");
	templateBuilder.Append("	padding:.3em .6em\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tr3 th {\r\n");
	templateBuilder.Append("	text-align:left;\r\n");
	templateBuilder.Append("	font-weight:normal;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".z .tr3:hover {\r\n");
	templateBuilder.Append("	background:#F4FBFF\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tr4 {\r\n");
	templateBuilder.Append("	background:#CEECF0 url(templates/fangpage/images/h.gif) 0 bottom repeat-x;\r\n");
	templateBuilder.Append("	color:#005368;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tr4 td {\r\n");
	templateBuilder.Append("	padding:4px 10px;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tr td, .tr th {\r\n");
	templateBuilder.Append("	padding:2px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("/*topic content tips*/\r\n");
	templateBuilder.Append(".tpc_content {\r\n");
	templateBuilder.Append("	font-size:14px;\r\n");
	templateBuilder.Append("	font-family:Arial;\r\n");
	templateBuilder.Append("	padding:0 2% 0 0.5%;\r\n");
	templateBuilder.Append("	margin:0 0 2%\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tips {\r\n");
	templateBuilder.Append("	background:#F4FBFF;\r\n");
	templateBuilder.Append("	border:#D5E5E8 1px solid;\r\n");
	templateBuilder.Append("	padding:5px;\r\n");
	templateBuilder.Append("	margin:0 1% 1% 0;\r\n");
	templateBuilder.Append("	float:left;\r\n");
	templateBuilder.Append("	text-align:center;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tiptop {\r\n");
	templateBuilder.Append("	border-bottom:1px solid #D5E5E8;\r\n");
	templateBuilder.Append("	padding:0;\r\n");
	templateBuilder.Append("	vertical-align:middle;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tipad {\r\n");
	templateBuilder.Append("	border-top:1px solid #D5E5E8;\r\n");
	templateBuilder.Append("	margin:10px 0 0;\r\n");
	templateBuilder.Append("	padding:5px 0 0;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".quote {\r\n");
	templateBuilder.Append("	width:80%;\r\n");
	templateBuilder.Append("	font-size:70%;\r\n");
	templateBuilder.Append("	color:#005368;\r\n");
	templateBuilder.Append("	margin:8px 2px 2px;\r\n");
	templateBuilder.Append("	padding:0\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".blockquote {\r\n");
	templateBuilder.Append("	width:80%;\r\n");
	templateBuilder.Append("	color:#81888c;\r\n");
	templateBuilder.Append("	border:1px solid #D5E5E8;\r\n");
	templateBuilder.Append("	border-left-width:3px;\r\n");
	templateBuilder.Append("	padding:5px;\r\n");
	templateBuilder.Append("	margin:0 0 1%\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("/*menu*/\r\n");
	templateBuilder.Append(".menu {\r\n");
	templateBuilder.Append("	position:absolute;\r\n");
	templateBuilder.Append("	background:#fff;\r\n");
	templateBuilder.Append("	border:1px solid #76BAC2;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".menu td, .menu li, .menu ul {\r\n");
	templateBuilder.Append("	background:#fff;\r\n");
	templateBuilder.Append("	padding:0;\r\n");
	templateBuilder.Append("	margin:0\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".menu li {\r\n");
	templateBuilder.Append("	list-style:none;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".menu a {\r\n");
	templateBuilder.Append("	display:block;\r\n");
	templateBuilder.Append("	padding-left:8px;\r\n");
	templateBuilder.Append("	padding-top:8px;\r\n");
	templateBuilder.Append("	background:#fff;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".menu a:hover {\r\n");
	templateBuilder.Append("	background:#2B76B0;\r\n");
	templateBuilder.Append("	text-decoration:none;\r\n");
	templateBuilder.Append("	color:#fff;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".menu ul.ul1 li a {\r\n");
	templateBuilder.Append("	display:inline;\r\n");
	templateBuilder.Append("	padding:0\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("/*footer*/\r\n");
	templateBuilder.Append("#footer {\r\n");
	templateBuilder.Append("	width:956px;\r\n");
	templateBuilder.Append("	text-align:right;\r\n");
	templateBuilder.Append("	border-top:2px solid #AED6DB;\r\n");
	templateBuilder.Append("	margin:auto;\r\n");
	templateBuilder.Append("	padding:5px 0;\r\n");
	templateBuilder.Append("	border-bottom:#F7F7F7 12px solid\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("#main {\r\n");
	templateBuilder.Append("	width:956px;\r\n");
	templateBuilder.Append("	margin: auto;\r\n");
	templateBuilder.Append("	padding:.8em 0 0\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("#wrapA {\r\n");
	templateBuilder.Append("	width:956px;\r\n");
	templateBuilder.Append("	margin: auto;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("#content {\r\n");
	templateBuilder.Append("	width:956px;\r\n");
	templateBuilder.Append("	margin: auto;\r\n");
	templateBuilder.Append("	padding:0 0\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(" /*自定义css*/\r\n");
	templateBuilder.Append(" .bbs_news a:link {\r\n");
	templateBuilder.Append("	color: #ff0000;	\r\n");
	templateBuilder.Append("	text-decoration: none;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".bbs_news a:visited {\r\n");
	templateBuilder.Append("	color: #ff0000;	\r\n");
	templateBuilder.Append("	text-decoration: none;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".bbs_news a:hover {\r\n");
	templateBuilder.Append("	color: #000000;	\r\n");
	templateBuilder.Append("	text-decoration: underline;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".bbs_news1 a:link {\r\n");
	templateBuilder.Append("	color: #0000cc;	\r\n");
	templateBuilder.Append("	text-decoration: none;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".bbs_news1 a:visited {\r\n");
	templateBuilder.Append("	color: #0000cc;	\r\n");
	templateBuilder.Append("	text-decoration: none;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".bbs_news1 a:hover {\r\n");
	templateBuilder.Append("	color: #000000;	\r\n");
	templateBuilder.Append("	text-decoration: underline;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".bbs_news2 a:link {\r\n");
	templateBuilder.Append("	color: #ff0000;	\r\n");
	templateBuilder.Append("	font-weight: bold;\r\n");
	templateBuilder.Append("	text-decoration: none;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".bbs_news2 a:visited {\r\n");
	templateBuilder.Append("	color: #ff0000;	\r\n");
	templateBuilder.Append("	font-weight: bold;\r\n");
	templateBuilder.Append("	text-decoration: none;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".bbs_news2 a:hover {\r\n");
	templateBuilder.Append("	color: #333333;	\r\n");
	templateBuilder.Append("	font-weight: bold;\r\n");
	templateBuilder.Append("	text-decoration: underline;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("/*四方框*/\r\n");
	templateBuilder.Append(".tab_k {\r\n");
	templateBuilder.Append("	border: 1px solid #d5e5e8;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tab_bbs_gmr_9 {\r\n");
	templateBuilder.Append("	color: #999999;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tab_bbs_gmr_ff0000 {\r\n");
	templateBuilder.Append("	color: #ff0000;\r\n");
	templateBuilder.Append("	font-weight: bold;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tab_bbs_gmr_333333 {\r\n");
	templateBuilder.Append("	color: #333333;\r\n");
	templateBuilder.Append("	font-weight: bold;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("</style>\r\n");
	templateBuilder.Append("<!--css-->\r\n");
	templateBuilder.Append("<style type=\"text/css\">\r\n");
	templateBuilder.Append("/*竖线风格输出*/\r\n");
	templateBuilder.Append(".tr3 td, .tr3 th {\r\n");
	templateBuilder.Append("	border-right:1px solid #D5E5E8;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".y-style {\r\n");
	templateBuilder.Append("	text-align:center;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tr1 th {\r\n");
	templateBuilder.Append("	border-right:1px solid #D5E5E8;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tr1 td.td1 {\r\n");
	templateBuilder.Append("	border-left:0\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("</style>\r\n");
	templateBuilder.Append("<!--[if IE]>\r\n");
	templateBuilder.Append("<style type=\"text/css\">\r\n");
	templateBuilder.Append(".t table{\r\n");
	templateBuilder.Append("border:1px solid #ffffff;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("</style>\r\n");
	templateBuilder.Append("<![endif]-->\r\n");
	templateBuilder.Append("<!--[if IE]>\r\n");
	templateBuilder.Append("<style type=\"text/css\">\r\n");
	templateBuilder.Append(".btn {\r\n");
	templateBuilder.Append("	border:1px solid #76BAC2;\r\n");
	templateBuilder.Append("	height:21px;\r\n");
	templateBuilder.Append("	padding-left:0.15em;\r\n");
	templateBuilder.Append("	padding-right:0.15em\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tr1 td.td1 {\r\n");
	templateBuilder.Append("	border-top:0\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".t4 {\r\n");
	templateBuilder.Append("	padding:0\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".pages a {\r\n");
	templateBuilder.Append("	padding:1px 4px 2px;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".t table {\r\n");
	templateBuilder.Append("	border-collapse:collapse;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".t {\r\n");
	templateBuilder.Append("	padding:0\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".menu a {\r\n");
	templateBuilder.Append("	height:18px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".abtn {\r\n");
	templateBuilder.Append("	padding:3px 8px 0!important\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("</style>\r\n");
	templateBuilder.Append("<![endif]-->\r\n");

	templateBuilder.Append("<link href=\"templates/fangpage/images/fangpage.ico\" type=image/x-icon rel=icon>\r\n");
	templateBuilder.Append("<link href=\"templates/fangpage/images/fangpage.ico\" type=image/x-icon rel=\"shortcut icon\">\r\n");
	templateBuilder.Append("<link href=\"templates/fangpage/style/menu.css\" type=\"text/css\" rel=\"stylesheet\">\r\n");
	templateBuilder.Append("<script language=\"javascript\">\r\n");
	templateBuilder.Append("var agt = navigator.userAgent.toLowerCase();\r\n");
	templateBuilder.Append("var is_ie = ((agt.indexOf(\"msie\") != -1) && (agt.indexOf(\"opera\") == -1));\r\n");
	templateBuilder.Append("var is_gecko= (navigator.product == \"Gecko\");\r\n");
	templateBuilder.Append("var imgpath = 'templates/fangpage/images/';\r\n");
	templateBuilder.Append("function getObj(id){\r\n");
	templateBuilder.Append("	return document.getElementById(id);\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("function ietruebody(){\r\n");
	templateBuilder.Append("	return (document.compatMode && document.compatMode!='BackCompat')? document.documentElement : document.body;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("function IsElement(id){\r\n");
	templateBuilder.Append("	return document.getElementById(id)!=null ? true : false;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("</" + "script>\r\n");
	templateBuilder.Append("<script src=\"templates/fangpage/js/dropdowntabs.js\" type=\"text/javascript\"></" + "script>\r\n");


	templateBuilder.Append("<meta name=GENERATOR content=\"MSHTML 8.00.6001.18852\">\r\n");
	templateBuilder.Append("</head>\r\n");
	templateBuilder.Append("<body>\r\n");
	templateBuilder.Append("<div id=\"wrapA\" tag=\"guest\">\r\n");

	templateBuilder.Append("<div id=header>\r\n");
	templateBuilder.Append("  <table cellspacing=\"0\" cellpadding=\"0\" align=\"center\" width=\"100%\">\r\n");
	templateBuilder.Append("    <tr>\r\n");
	templateBuilder.Append("      <td class=\"banner\">\r\n");
	templateBuilder.Append("      <script src=\"" + webpath.ToString() + "plugins/adplayer/adplayer.aspx?width=956&height=254&textheight=&textlength=&count=5&sortid=10&typeid=\" type=\"text/javascript\"></" + "script>\r\n");
	templateBuilder.Append("      </td>\r\n");
	templateBuilder.Append("    </tr>\r\n");
	templateBuilder.Append("  </table>\r\n");
	templateBuilder.Append("  <table cellspacing=\"0\" cellpadding=\"0\" align=\"center\" width=\"100%\">\r\n");
	templateBuilder.Append("    <tr valign=\"top\">\r\n");
	templateBuilder.Append("      <td height=\"30\" background=\"templates/fangpage/images/nav.jpg\" style=\"padding-top:8px\">\r\n");
	templateBuilder.Append("      <table width=\"930\" border=\"0\" align=\"center\" cellpadding=\"0\" cellspacing=\"0\">\r\n");
	templateBuilder.Append("          <tr>\r\n");
	templateBuilder.Append("            <td>\r\n");
	templateBuilder.Append("              <table id=\"colortab\" width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"nav\">\r\n");
	templateBuilder.Append("                <tr align=\"center\">\r\n");
	templateBuilder.Append("                  <td width=\"70\"><a href=\"index.aspx\">首　页</a></td>\r\n");
	templateBuilder.Append("                  <td width=\"84\"><a href=\"instrview-12.aspx\">公司简介</a></td>\r\n");
	templateBuilder.Append("                  <td width=\"84\" class=\"dropmenu\"><a href=\"software.aspx\" style=\"padding-top:7px;\" rel=\"dropmenu1_a\">方配软件</a></td>\r\n");
	templateBuilder.Append("                  <td width=\"85\"><a href=\"thread-9.aspx\">最新动态</a></td>\r\n");
	templateBuilder.Append("                  <td width=\"84\"><a href=\"http://www.fangpage.com/read-44.aspx\" target=\"_blank\">方配短信通</a></td>\r\n");
	templateBuilder.Append("                  <td width=\"84\"><a href=\"thread-3-1-4.aspx\">模板中心</a></td>\r\n");
	templateBuilder.Append("                  <td width=\"84\"><a href=\"http://www.fangpage.com/thread-9.aspx\" target=\"_blank\">帮助中心</a></td>\r\n");
	templateBuilder.Append("                  <td width=\"114\"><a href=\"thread-3.aspx\">Web软件资源库</a></td>\r\n");
	templateBuilder.Append("                  <td>&nbsp;</td>\r\n");
	templateBuilder.Append("                </tr>\r\n");
	templateBuilder.Append("              </table>\r\n");
	templateBuilder.Append("              <div id=\"dropmenu1_a\" class=\"dropmenudiv_a\">\r\n");
	templateBuilder.Append("              <a href=\"read-6.aspx\">方配网站服务器(FPWebServer)</a>\r\n");
	templateBuilder.Append("              <a href=\"read-2.aspx\">方配触摸屏浏览器(FPToucher)</a>\r\n");
	templateBuilder.Append("              <a href=\"read-44.aspx\">方配短信服务器(SMSServer)</a>\r\n");
	templateBuilder.Append("              <a href=\"upload/2011/12/31/62081799306540.gif\" target=\"_blank\">方配网站管理系统(WMS)</a>\r\n");
	templateBuilder.Append("              </div>\r\n");
	templateBuilder.Append("              <script type=\"text/javascript\">//SYNTAX: tabdropdown.init(\"menu_id\", [integer OR \"auto\"])\r\n");
	templateBuilder.Append("                 tabdropdown.init(\"colortab\", \"auto\")\r\n");
	templateBuilder.Append("              </" + "script>\r\n");
	templateBuilder.Append("            </td>\r\n");
	templateBuilder.Append("            <td width=\"168\">&nbsp;\r\n");
	templateBuilder.Append("            </td>\r\n");
	templateBuilder.Append("          </tr>\r\n");
	templateBuilder.Append("        </table>\r\n");
	templateBuilder.Append("        </td>\r\n");
	templateBuilder.Append("    </tr>\r\n");
	templateBuilder.Append("  </table>\r\n");
	templateBuilder.Append("  <div id=\"h_guide\">\r\n");
	templateBuilder.Append("    <table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" style=\"width:100%\" class=\"guide\">\r\n");
	templateBuilder.Append("      <tr>\r\n");
	templateBuilder.Append("        <td width=\"50%\" style=\"padding-left:5px;\"><span class=\"s3\">&raquo;</span>\r\n");

	if (userid>0)
	{

	templateBuilder.Append("          <span style=\"font-weight:bold\" class=\"s3\">" + username.ToString() + "</span>&nbsp;<a href=\"logout.aspx\">退出</a> | <a id=\"td_profile\" href=\"profile.aspx\">控制面板<img src=\"templates/fangpage/images/menu-down.gif\" /></a>\r\n");

	}
	else
	{

	templateBuilder.Append("          您尚未　<a href=\"login.aspx\">登录</a> &nbsp;<a href=\"register.aspx\"><b>注册</b></a>\r\n");

	}	//end if

	templateBuilder.Append("</td>\r\n");
	templateBuilder.Append("        <td align=\"right\"><span style=\"color:#000;\">在线技术支持：</span></td>\r\n");
	templateBuilder.Append("        <td  align=\"center\" width=\"74\"><a target=\"_blank\" href=\"http://wpa.qq.com/msgrd?v=3&uin=12677206&site=qq&menu=yes\"><img border=\"0\" src=\"http://wpa.qq.com/pa?p=2:12677206:41\" width=\"74\" height=\"22\" alt=\"点击这里给我发消息\" title=\"点击这里给我发消息\"></a></td>\r\n");
	templateBuilder.Append("        <td align=\"right\" style=\"padding-right:5px;\" width=\"230\"><span style=\"color:#000;\">，QQ：12677206，电话：13481092810</span></td>\r\n");
	templateBuilder.Append("      </tr>\r\n");
	templateBuilder.Append("    </table>\r\n");
	templateBuilder.Append("  </div>\r\n");
	templateBuilder.Append("  <div id=\"menu_profile\" class=\"menu\" style=\"display:none;\">\r\n");
	templateBuilder.Append("    <table width=\"120\" cellspacing=\"1\" cellpadding=\"5\">\r\n");
	templateBuilder.Append("      <tr>\r\n");
	templateBuilder.Append("        <th class=\"h\">控制面板</th>\r\n");
	templateBuilder.Append("      </tr>\r\n");
	templateBuilder.Append("      <tr>\r\n");
	templateBuilder.Append("        <td valign=\"middle\"><a href=\"profile.aspx\">用户中心</a></td>\r\n");
	templateBuilder.Append("      </tr>\r\n");
	templateBuilder.Append("      <tr>\r\n");
	templateBuilder.Append("        <td valign=\"middle\"><a href=\"userprofile.aspx\">个人资料</a></td>\r\n");
	templateBuilder.Append("      </tr>\r\n");
	templateBuilder.Append("      <tr>\r\n");
	templateBuilder.Append("        <td valign=\"middle\"><a href=\"mytopics.aspx\">我的主题</a></td>\r\n");
	templateBuilder.Append("      </tr>\r\n");
	templateBuilder.Append("      <tr>\r\n");
	templateBuilder.Append("        <td valign=\"middle\"><a href=\"myposts.aspx\">我的帖子</a></td>\r\n");
	templateBuilder.Append("      </tr>\r\n");
	templateBuilder.Append("      <tr>\r\n");
	templateBuilder.Append("        <td valign=\"middle\"><a href=\"mydigest.aspx\">我的精华</a></td>\r\n");
	templateBuilder.Append("      </tr>\r\n");
	templateBuilder.Append("      <tr>\r\n");
	templateBuilder.Append("        <td valign=\"middle\"><a href=\"myfavor.aspx\">我的收藏</a></td>\r\n");
	templateBuilder.Append("      </tr>\r\n");
	templateBuilder.Append("    </table>\r\n");
	templateBuilder.Append("  </div>\r\n");
	templateBuilder.Append("</div>\r\n");


	templateBuilder.Append("<div id=\"main\">\r\n");
	templateBuilder.Append("  <div id=\"infobox\">\r\n");
	templateBuilder.Append("    <table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" style=\"table-layout:fixed;width:100%\">\r\n");
	templateBuilder.Append("      <tr>\r\n");
	templateBuilder.Append("        <td width=\"60%\">\r\n");
	templateBuilder.Append("         <div style=\"padding:.5em 0 0 .5em\" class=\"fl\">\r\n");
	templateBuilder.Append("            <div style=\"padding:0 0 0 .1em;\" class=\"fl\">\r\n");

	if (userid>0)
	{

	templateBuilder.Append("              UID：" + userid.ToString() + " | 等级：" + userinfo.Rolename.ToString().Trim() + " | 帖子：" + userinfo.Posts.ToString().Trim() + " | 积分：" + userinfo.Credits.ToString().Trim() + "\r\n");
	templateBuilder.Append("              <br />\r\n");
	templateBuilder.Append("              注册时间：" + userinfo.Joindatetime.ToString().Trim() + "\r\n");

	}
	else
	{

	templateBuilder.Append("              <form action=\"login.aspx\" name=\"FORM\" method=\"post\">\r\n");
	templateBuilder.Append("                <div>\r\n");
	templateBuilder.Append("                  <div onclick=\"if (document.FORM.username.value=='' || document.FORM.username.value=='输入用户名')  document.FORM.username.focus();\"> 用户名:\r\n");
	templateBuilder.Append("                    <input class=\"input gray\" onfocus=\"newVerifyCode();\" onclick=\"this.value='';\" style=\"width:85px\" name=\"username\" value=\"输入用户名\" tabindex=\"1\" />\r\n");
	templateBuilder.Append("                    密码:\r\n");
	templateBuilder.Append("                    <input class=\"input\" type=\"password\" name=\"password\" style=\"width:85px;\" onclick=\"this.value='';\" tabindex=\"2\" />\r\n");
	templateBuilder.Append("                    验证码:\r\n");
	templateBuilder.Append("                    <input class=\"input\" type=\"text\" maxlength=\"20\" id=\"verify\" name=\"verify\" size=\"10\" tabindex=\"3\" />\r\n");
	templateBuilder.Append("                    <img id=ValCode onclick=\"this.src=this.src+'?r=Math.random()'\" src=\"" + webpath.ToString() + "tools/verify.aspx?r=Math.random()\" align=\"absmiddle\" alt=\"点击可以更换验证码\">\r\n");
	templateBuilder.Append("                    <input class=\"btn\" type=\"submit\" value=\"登 录\" style=\"width:80px\" tabindex=\"8\" />\r\n");
	templateBuilder.Append("                  </div>\r\n");
	templateBuilder.Append("                </div>\r\n");
	templateBuilder.Append("                </form>\r\n");

	}	//end if

	templateBuilder.Append("            </div>\r\n");
	templateBuilder.Append("            <script>\r\n");
	templateBuilder.Append("			function newVerifyCode(){\r\n");
	templateBuilder.Append("				document.getElementById('ValCode').src='" + webpath.ToString() + "tools/verify.aspx?r='+Math.random();\r\n");
	templateBuilder.Append("			}\r\n");
	templateBuilder.Append("			</" + "script>\r\n");
	templateBuilder.Append("          </div></td>\r\n");
	templateBuilder.Append("        <td><div style=\" padding:5px;\" class=\"fr tar\">主题:" + totaltopic.ToString() + "篇 | 帖子:" + totalpost.ToString() + "个\r\n");
	templateBuilder.Append("            <div style=\"\"> 今日帖:" + todayposts.ToString() + "个 | 会员:" + totalusers.ToString() + "个 </div>\r\n");
	templateBuilder.Append("          </div></td>\r\n");
	templateBuilder.Append("      </tr>\r\n");
	templateBuilder.Append("    </table>\r\n");
	templateBuilder.Append("  </div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div style=\"margin-top:7px;\"></div>\r\n");
	templateBuilder.Append("<div id=\"topList_1\"  class=\"t\" style=\"display:none\"></div>\r\n");
	templateBuilder.Append("<div class=\"contentc\"></div>\r\n");
	templateBuilder.Append("<div id=\"content\">\r\n");
	templateBuilder.Append("  <div class=\"contentwrap z\">\r\n");
	templateBuilder.Append("    <table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" bordercolor=\"#FFFFFF\">\r\n");
	templateBuilder.Append("    <tr>\r\n");
	templateBuilder.Append("    <td>\r\n");
	templateBuilder.Append("    <table width=\"100%\" border=\"0\" align=\"center\" cellpadding=\"0\" cellspacing=\"0\">\r\n");
	templateBuilder.Append("      <tr>\r\n");
	templateBuilder.Append("      <td valign=\"top\">\r\n");
	templateBuilder.Append("     <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n");
	templateBuilder.Append("      <tr>\r\n");
	templateBuilder.Append("      <td valign=\"top\">\r\n");
	templateBuilder.Append("      <table width=\"100%\" border=\"0\" align=\"center\" cellpadding=\"0\" cellspacing=\"0\">\r\n");
	templateBuilder.Append("        <tr>\r\n");
	templateBuilder.Append("          <td width=\"318\" valign=\"top\"><table width=\"310\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"tab_k\">\r\n");
	templateBuilder.Append("            <tr>\r\n");
	templateBuilder.Append("              <td width=\"310\" valign=\"top\"><table width=\"310\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n");
	templateBuilder.Append("                <tr>\r\n");
	templateBuilder.Append("                  <td width=\"310\" height=\"28\" background=\"templates/fangpage/images/gmr_bbs_2.jpg\" class=\"tab_bbs_gmr_333333\" style=\"padding-left:10px\">软件图片</td>\r\n");
	templateBuilder.Append("                </tr>\r\n");
	templateBuilder.Append("                <tr>\r\n");
	templateBuilder.Append("                  <td height=\"268\" valign=\"top\">\r\n");
	templateBuilder.Append("                  <table width=\"290\" border=\"0\" align=\"center\" cellpadding=\"0\" cellspacing=\"0\">\r\n");
	templateBuilder.Append("                    <tr>\r\n");
	templateBuilder.Append("                      <td height=\"10\" ></td>\r\n");
	templateBuilder.Append("                    </tr>\r\n");
	templateBuilder.Append("                    <tr>\r\n");
	templateBuilder.Append("                      <td height=\"248\">\r\n");
	templateBuilder.Append("                      <script src=\"" + webpath.ToString() + "plugins/adplayer/adplayer.aspx?width=290&height=248&textheight=&textlength=&count=5&sortid=11&typeid=\" type=\"text/javascript\"></" + "script>\r\n");
	templateBuilder.Append("                      </td>\r\n");
	templateBuilder.Append("                    </tr>\r\n");
	templateBuilder.Append("                    <tr>\r\n");
	templateBuilder.Append("                      <td height=\"10\" ></td>\r\n");
	templateBuilder.Append("                    </tr>\r\n");
	templateBuilder.Append("                  </table>\r\n");
	templateBuilder.Append("                  </td>\r\n");
	templateBuilder.Append("                </tr>\r\n");
	templateBuilder.Append("              </table></td>\r\n");
	templateBuilder.Append("            </tr>\r\n");
	templateBuilder.Append("          </table></td>\r\n");
	templateBuilder.Append("          <td width=\"10\">&nbsp;</td>\r\n");
	templateBuilder.Append("          <td width=\"318\" valign=\"top\"><table width=\"318\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"tab_k\">\r\n");
	templateBuilder.Append("            <tr>\r\n");
	templateBuilder.Append("              <td width=\"316\"><table width=\"316\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n");
	templateBuilder.Append("                <tr>\r\n");
	templateBuilder.Append("                  <td width=\"316\" height=\"28\" background=\"templates/fangpage/images/gmr_bbs_2.jpg\" class=\"tab_bbs_gmr_ff0000\" style=\"padding-left:10px\">最新主题</td>\r\n");
	templateBuilder.Append("                </tr>\r\n");
	templateBuilder.Append("                <tr>\r\n");
	templateBuilder.Append("                  <td height=\"268\" valign=\"top\" background=\"templates/fangpage/images/gmr_bbs_3.jpg\"><table width=\"300\" border=\"0\" align=\"center\" cellpadding=\"0\" cellspacing=\"0\">\r\n");
	templateBuilder.Append("                    <tr>\r\n");
	templateBuilder.Append("                      <td height=\"6\" ></td>\r\n");
	templateBuilder.Append("                    </tr>\r\n");
	templateBuilder.Append("                    <tr>\r\n");
	templateBuilder.Append("                      <td valign=\"top\">\r\n");
	templateBuilder.Append("                       <table width=\"300\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n");

	int newtopics__loop__id=0;
	foreach(ShowTopicInfo newtopics in GetNewTopicList(10,0))
	{
		newtopics__loop__id++;

	templateBuilder.Append("                        <tr>\r\n");
	templateBuilder.Append("                          <td height=\"26\" class=\"bbs_news\" style=\"padding-left:24px\"><a href=\"read-" + newtopics.Tid.ToString().Trim() + ".aspx\" target=\"_blank\" title=\"" + newtopics.Title.ToString().Trim() + "\">" + Utils.CutString(newtopics.Title,30,"...")+ "</a></td>\r\n");
	templateBuilder.Append("                          <td width=\"70\" align=\"right\" class=\"tab_bbs_gmr_9\">" + newtopics.Poster.ToString().Trim() + "</td>\r\n");
	templateBuilder.Append("                        </tr>\r\n");

	}	//end loop

	templateBuilder.Append("                      </table></td>\r\n");
	templateBuilder.Append("                    </tr>\r\n");
	templateBuilder.Append("                  </table></td>\r\n");
	templateBuilder.Append("                </tr>\r\n");
	templateBuilder.Append("              </table></td>\r\n");
	templateBuilder.Append("            </tr>\r\n");
	templateBuilder.Append("          </table></td>\r\n");
	templateBuilder.Append("          <td width=\"10\">&nbsp;</td>\r\n");
	templateBuilder.Append("          <td width=\"318\" valign=\"top\"><table width=\"318\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"tab_k\">\r\n");
	templateBuilder.Append("            <tr>\r\n");
	templateBuilder.Append("              <td width=\"316\"><table width=\"316\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n");
	templateBuilder.Append("                  <tr>\r\n");
	templateBuilder.Append("                    <td width=\"316\" height=\"28\" background=\"templates/fangpage/images/gmr_bbs_2.jpg\" class=\"tab_bbs_gmr_ff0000\" style=\"padding-left:10px\">热门主题</td>\r\n");
	templateBuilder.Append("                  </tr>\r\n");
	templateBuilder.Append("                  <tr>\r\n");
	templateBuilder.Append("                    <td height=\"268\" valign=\"top\" background=\"templates/fangpage/images/gmr_bbs_3.jpg\"><table width=\"300\" border=\"0\" align=\"center\" cellpadding=\"0\" cellspacing=\"0\">\r\n");
	templateBuilder.Append("                        <tr>\r\n");
	templateBuilder.Append("                          <td height=\"6\" ></td>\r\n");
	templateBuilder.Append("                        </tr>\r\n");
	templateBuilder.Append("                        <tr>\r\n");
	templateBuilder.Append("                          <td valign=\"top\"><table width=\"300\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"bbs_news1\">\r\n");

	int hottopics__loop__id=0;
	foreach(ShowTopicInfo hottopics in GetHotTopicList(10))
	{
		hottopics__loop__id++;


	if (hottopics__loop__id<=10)
	{

	templateBuilder.Append("                              <tr>\r\n");
	templateBuilder.Append("                                <td height=\"26\" style=\"padding-left:24px\"><a href=\"read-" + hottopics.Tid.ToString().Trim() + ".aspx\" target=\"_blank\" title=\"" + hottopics.Title.ToString().Trim() + "\">" + Utils.CutString(hottopics.Title,30,"...")+ "</a></td>\r\n");
	templateBuilder.Append("                                <td width=\"70\" align=\"right\" class=\"tab_bbs_gmr_9\">" + hottopics.Poster.ToString().Trim() + "</td>\r\n");
	templateBuilder.Append("                              </tr>\r\n");

	}	//end if


	}	//end loop

	templateBuilder.Append("                          </table></td>\r\n");
	templateBuilder.Append("                        </tr>\r\n");
	templateBuilder.Append("                    </table></td>\r\n");
	templateBuilder.Append("                  </tr>\r\n");
	templateBuilder.Append("              </table></td>\r\n");
	templateBuilder.Append("            </tr>\r\n");
	templateBuilder.Append("          </table></td>\r\n");
	templateBuilder.Append("        </tr>\r\n");
	templateBuilder.Append("      </table></td>\r\n");
	templateBuilder.Append("    </tr>\r\n");
	templateBuilder.Append("  </table>\r\n");
	templateBuilder.Append("        </td>\r\n");
	templateBuilder.Append("      </tr>\r\n");
	templateBuilder.Append("      <tr>\r\n");
	templateBuilder.Append("        <td height=\"8\" ></td>\r\n");
	templateBuilder.Append("      </tr>\r\n");
	templateBuilder.Append("    </table>\r\n");
	templateBuilder.Append("    </td>\r\n");
	templateBuilder.Append("    </tr>\r\n");
	templateBuilder.Append("    </table>\r\n");

	if (topforumcount>0)
	{

	templateBuilder.Append("      <div class=\"t\">\r\n");
	templateBuilder.Append("      <table cellspacing=\"0\" cellpadding=\"0\" width=\"100%\">\r\n");
	templateBuilder.Append("        <tr>\r\n");
	templateBuilder.Append("          <th class=\"h\" colspan=\"6\"> <a class=\"closeicon fr\" style=\"cursor:pointer;\" onclick=\"return IndexDeploy('topforum',0)\"><img id=\"img_topforum\" src=\"templates/fangpage/images/cate_fold.gif\" />\r\n");
	templateBuilder.Append("          </a>\r\n");
	templateBuilder.Append("            <h2>&raquo; \r\n");

	if (forumtitle!="")
	{

	templateBuilder.Append("" + forumtitle.ToString() + "\r\n");

	}
	else
	{

	templateBuilder.Append("站点论坛\r\n");

	}	//end if

	templateBuilder.Append("</h2></th>\r\n");
	templateBuilder.Append("        </tr>\r\n");
	templateBuilder.Append("        <tr></tr>\r\n");
	templateBuilder.Append("        <tr class=\"tr2\">\r\n");
	templateBuilder.Append("          <td width=\"*\" colspan=\"2\" class=\"tac\">软件版块</td>\r\n");
	templateBuilder.Append("          <td class=\"tal y-style e\">主题</td>\r\n");
	templateBuilder.Append("          <td class=\"tal y-style e\">帖子</td>\r\n");
	templateBuilder.Append("          <td class=\"tal y-style f\">最后发表</td>\r\n");
	templateBuilder.Append("          <td width=\"15%\" class=\"y-style\">版主</td>\r\n");
	templateBuilder.Append("        </tr>\r\n");
	templateBuilder.Append("       <tbody id=\"cate_topforum\" style=\"display:;\">\r\n");

	int topforum__loop__id=0;
	foreach(ForumInfo topforum in subforumlist)
	{
		topforum__loop__id++;

	templateBuilder.Append("         <tr class=\"tr3 f_one\">\r\n");
	templateBuilder.Append("            <td class=\"icon tac\" width=\"45\" valign=\"middle\">\r\n");
	templateBuilder.Append("            <a href=\"thread-" + topforum.Fid.ToString().Trim() + ".aspx\" target=\"_blank\">\r\n");

	if (topforum.Img!="")
	{

	templateBuilder.Append("              <img src=\"" + webpath.ToString() + "" + topforum.Img.ToString().Trim() + "\" border=\"0\" width=\"32\" height=\"32\" />\r\n");

	}
	else
	{

	templateBuilder.Append("                <img src=\"templates/fangpage/images/old.gif\" width=\"26\" height=\"29\" border=\"0\" />\r\n");

	}	//end if

	templateBuilder.Append("</a></td>\r\n");
	templateBuilder.Append("            <th> <h3><span class=\"b\"> <a href=\"thread-" + topforum.Fid.ToString().Trim() + ".aspx\">" + topforum.Name.ToString().Trim() + "</a></span>&nbsp;&nbsp;<span class=\"f9 gray\">(<font color=#ff0000>" + topforum.Todayposts.ToString().Trim() + "</font>)</span></h3>\r\n");
	templateBuilder.Append("              <br />\r\n");
	templateBuilder.Append("              <span class=\"smalltxt gray\">" + topforum.Description.ToString().Trim() + "</span> </th>\r\n");
	templateBuilder.Append("            <td class=\"tal y-style e\"><span class=\"f10\">" + topforum.Curtopics.ToString().Trim() + "</span><br /></td>\r\n");
	templateBuilder.Append("            <td class=\"tal y-style e\"><span class=\"f10\">" + topforum.Posts.ToString().Trim() + "</span><br /></td>\r\n");
	templateBuilder.Append("            <th> \r\n");

	if (topforum.Lasttid>0)
	{

	templateBuilder.Append("            <a href=\"read-" + topforum.Lasttid.ToString().Trim() + ".aspx\" class=\"a2\">" + topforum.Lasttitle.ToString().Trim() + "</a><br />\r\n");
	templateBuilder.Append("              <a href=\"userview-" + topforum.Lastposterid.ToString().Trim() + ".aspx\" class=\"a2\" target=\"_blank\">" + topforum.Lastposter.ToString().Trim() + "</a> <span class=\"f9 gray\">[" + topforum.Lastpost.ToString().Trim() + "]</span>\r\n");

	}	//end if

	templateBuilder.Append("            </th>\r\n");
	templateBuilder.Append("            <td class=\"y-style\" style=\"word-break: keep-all;word-wrap:no-wrap\">\r\n");
	templateBuilder.Append("            <a target=\"_blank\" href=\"http://wpa.qq.com/msgrd?v=3&uin=12677206&site=qq&menu=yes\"><img border=\"0\" src=\"http://wpa.qq.com/pa?p=2:12677206:41\" alt=\"点击这里给我发消息\" title=\"点击这里给我发消息\"></a>\r\n");
	templateBuilder.Append("            </td>\r\n");
	templateBuilder.Append("         </tr>\r\n");

	}	//end loop

	templateBuilder.Append("        <tr>\r\n");
	templateBuilder.Append("            <td class=\"f_one\" colspan=\"6\" style=\"height:8px\"></td>\r\n");
	templateBuilder.Append("        </tr>\r\n");
	templateBuilder.Append("        </tbody>\r\n");
	templateBuilder.Append("      </table>\r\n");
	templateBuilder.Append("      </div>  \r\n");

	}	//end if

	int subforumcount = 0;
	
	int forumcount = 0;
	

	int forum__loop__id=0;
	foreach(ForumInfo forum in forumlist)
	{
		forum__loop__id++;


	if (forum.Layer==0&&forum.Properties==1)
	{

	 subforumcount = forum.Subsortcount;
	
	 forumcount = 0;
	
	templateBuilder.Append("     <div class=\"t\">\r\n");
	templateBuilder.Append("      <table cellspacing=\"0\" cellpadding=\"0\" width=\"100%\">\r\n");
	templateBuilder.Append("        <tr>\r\n");
	templateBuilder.Append("          <th class=\"h\" colspan=\"6\"> <a class=\"closeicon fr\" style=\"cursor:pointer;\" onclick=\"return IndexDeploy('" + forum.Fid.ToString().Trim() + "',0)\"><img id=\"img_" + forum.Fid.ToString().Trim() + "\" src=\"templates/fangpage/images/cate_fold.gif\" />\r\n");
	templateBuilder.Append("          </a>\r\n");
	templateBuilder.Append("            <h2>&raquo; <a href=\"thread-" + forum.Fid.ToString().Trim() + ".aspx\" class=\"cfont\">" + forum.Name.ToString().Trim() + "</a></h2></th>\r\n");
	templateBuilder.Append("        </tr>\r\n");
	templateBuilder.Append("        <tr></tr>\r\n");
	templateBuilder.Append("        <tr class=\"tr2\">\r\n");
	templateBuilder.Append("          <td width=\"*\" colspan=\"2\" class=\"tac\">软件版块</td>\r\n");
	templateBuilder.Append("          <td class=\"tal y-style e\">主题</td>\r\n");
	templateBuilder.Append("          <td class=\"tal y-style e\">帖子</td>\r\n");
	templateBuilder.Append("          <td class=\"tal y-style f\">最后发表</td>\r\n");
	templateBuilder.Append("          <td width=\"15%\" class=\"y-style\">版主</td>\r\n");
	templateBuilder.Append("        </tr>\r\n");
	templateBuilder.Append("        <tbody id=\"cate_" + forum.Fid.ToString().Trim() + "\" style=\"display:;\">\r\n");

	}
	else
	{

	 forumcount = forumcount+1;
	
	templateBuilder.Append("          <tr class=\"tr3 f_one\">\r\n");
	templateBuilder.Append("            <td class=\"icon tac\" width=\"45\" valign=\"middle\">\r\n");
	templateBuilder.Append("            <a href=\"thread-" + forum.Fid.ToString().Trim() + ".aspx\" target=\"_blank\">\r\n");

	if (forum.Img!="")
	{

	templateBuilder.Append("              <img src=\"" + webpath.ToString() + "" + forum.Img.ToString().Trim() + "\" align=\"absmiddle\" border=\"0\" width=\"32\" height=\"32\" />\r\n");

	}
	else
	{

	templateBuilder.Append("                <img src=\"templates/fangpage/images/old.gif\" align=\"absmiddle\" width=\"26\" height=\"29\" border=\"0\" />\r\n");

	}	//end if

	templateBuilder.Append("</a>\r\n");
	templateBuilder.Append("             </td>\r\n");
	templateBuilder.Append("            <th> <h3><span class=\"b\"><a href=\"thread-" + forum.Fid.ToString().Trim() + ".aspx\">" + forum.Name.ToString().Trim() + "</a></span>&nbsp;&nbsp;<span class=\"f9 gray\">(<font color=#ff0000>" + forum.Todayposts.ToString().Trim() + "</font>)</span></h3>\r\n");
	templateBuilder.Append("              <br />\r\n");
	templateBuilder.Append("              <span class=\"smalltxt gray\">" + forum.Description.ToString().Trim() + "</span> </th>\r\n");
	templateBuilder.Append("            <td class=\"tal y-style e\"><span class=\"f10\">" + forum.Curtopics.ToString().Trim() + "</span><br /></td>\r\n");
	templateBuilder.Append("            <td class=\"tal y-style e\"><span class=\"f10\">" + forum.Posts.ToString().Trim() + "</span><br /></td>\r\n");
	templateBuilder.Append("            <th> \r\n");

	if (forum.Lasttid>0)
	{

	templateBuilder.Append("            <a href=\"read-" + forum.Lasttid.ToString().Trim() + ".aspx\" class=\"a2\">" + forum.Lasttitle.ToString().Trim() + "</a><br />\r\n");
	templateBuilder.Append("              <a href=\"userview-" + forum.Lastposterid.ToString().Trim() + ".aspx\" class=\"a2\" target=\"_blank\">" + forum.Lastposter.ToString().Trim() + "</a> <span class=\"f9 gray\">[" + forum.Lastpost.ToString().Trim() + "]</span>\r\n");

	}	//end if

	templateBuilder.Append("            </th>\r\n");
	templateBuilder.Append("            <td class=\"y-style\" style=\"word-break: keep-all;word-wrap:no-wrap\"><a target=\"_blank\" href=\"http://wpa.qq.com/msgrd?v=3&uin=12677206&site=qq&menu=yes\"><img border=\"0\" src=\"http://wpa.qq.com/pa?p=2:12677206:41\" alt=\"点击这里给我发消息\" title=\"点击这里给我发消息\"></a></td>\r\n");
	templateBuilder.Append("          </tr>\r\n");

	if (forumcount==subforumcount)
	{

	templateBuilder.Append("          <tr>\r\n");
	templateBuilder.Append("            <td class=\"f_one\" colspan=\"6\" style=\"height:8px\"></td>\r\n");
	templateBuilder.Append("          </tr>\r\n");
	templateBuilder.Append("        </tbody>\r\n");
	templateBuilder.Append("      </table>\r\n");
	templateBuilder.Append("      </div>  \r\n");

	}	//end if


	}	//end if


	}	//end loop

	templateBuilder.Append("  </div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"contentc\"></div>\r\n");
	templateBuilder.Append("<div class=\"t\" style=\"width:956px;\">\r\n");
	templateBuilder.Append("  <table cellspacing=\"0\" cellpadding=\"0\" width=\"100%\">\r\n");
	templateBuilder.Append("    <tr>\r\n");
	templateBuilder.Append("      <th colspan=\"2\" class=\"h\"><a class=\"closeicon fr\" style=\"cursor:pointer;\" onclick=\"return IndexDeploy('soft',0)\"><img id=\"img_soft\" src=\"templates/fangpage/images/cate_fold.gif\" /></a><h2>&raquo; 常用Web软件一键安装</h2></th>\r\n");
	templateBuilder.Append("    </tr>\r\n");
	templateBuilder.Append("    <tr></tr>\r\n");
	templateBuilder.Append("    <tbody id=\"cate_soft\" style=\"display:;\" align=\"center\">\r\n");
	templateBuilder.Append("		<tr>\r\n");
	templateBuilder.Append("			<td>\r\n");
	templateBuilder.Append("            <table cellspacing=\"0\" cellpadding=\"0\" width=\"100%\" border=\"0\" align=\"center\">\r\n");
	templateBuilder.Append("            <tr>\r\n");
	templateBuilder.Append("			<td height=\"6\">\r\n");
	templateBuilder.Append("            </td>\r\n");
	templateBuilder.Append("            </tr>\r\n");
	templateBuilder.Append("            <tr>\r\n");

	int links8__loop__id=0;
	foreach(LinkInfo links8 in GetLinkList(8))
	{
		links8__loop__id++;

	templateBuilder.Append("            <td>\r\n");
	templateBuilder.Append("            <a href=\"" + links8.Url.ToString().Trim() + "\" target=\"_blank\"><img src=\"" + webpath.ToString() + "upload/" + links8.Img.ToString().Trim() + "\" alt=\"" + links8.Title.ToString().Trim() + "\" width=\"163\" height=\"58\"></a>\r\n");

	if (links8__loop__id%5==0)
	{

	templateBuilder.Append("            </tr>\r\n");
	templateBuilder.Append("            <tr>\r\n");

	}	//end if

	templateBuilder.Append("            </td>\r\n");

	}	//end loop

	templateBuilder.Append("            </tr>\r\n");
	templateBuilder.Append("            </table>\r\n");
	templateBuilder.Append("            </td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("	</tbody>\r\n");
	templateBuilder.Append("  </table>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"contentc\"></div>\r\n");
	templateBuilder.Append("<div class=\"t\" style=\"width:956px;\">\r\n");
	templateBuilder.Append("  <table cellspacing=\"0\" cellpadding=\"0\" width=\"100%\">\r\n");
	templateBuilder.Append("    <tr>\r\n");
	templateBuilder.Append("      <th colspan=\"2\" class=\"h\"><a class=\"closeicon fr\" style=\"cursor:pointer;\" onclick=\"return IndexDeploy('info',0)\"><img id=\"img_info\" src=\"templates/fangpage/images/cate_fold.gif\" /></a><h2>&raquo; 合作伙伴</h2></th>\r\n");
	templateBuilder.Append("    </tr>\r\n");
	templateBuilder.Append("    <tr></tr>\r\n");

	if (config.Forumlink>0)
	{

	templateBuilder.Append("	<tbody id=\"cate_info\" style=\"display:;\">\r\n");
	templateBuilder.Append("		<tr class=\"tr2\">\r\n");
	templateBuilder.Append("			<td colspan=\"2\">\r\n");
	templateBuilder.Append("				 &raquo; 方配合作伙伴 </td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		<tr class=\"tr3\">\r\n");
	templateBuilder.Append("			<td class=\"f_two tac\" width=\"4%\"><img src=\"templates/fangpage/images/share.gif\" /></td>\r\n");
	templateBuilder.Append("			<th class=\"f_one\" width=\"96%\" style=\"word-break: keep-all\" align=\"center\">\r\n");

	int links__loop__id=0;
	foreach(LinkInfo links in linklist)
	{
		links__loop__id++;

	templateBuilder.Append("            <a href=\"" + links.Url.ToString().Trim() + "\" target=\"_blank\"><img src=\"" + webpath.ToString() + "upload/" + links.Img.ToString().Trim() + "\" alt=\"" + links.Title.ToString().Trim() + "\" width=\"83\" height=\"31\" style=\"border:solid 1px #CCCCCC\"></a>\r\n");

	}	//end loop

	templateBuilder.Append("            <a href=\"http://www.fangpage.com\" target=\"_blank\"><img border=\"0\" src=\"templates/fangpage/images/fpsoft.gif\" width=\"83\" height=\"31\"/></a>\r\n");
	templateBuilder.Append("            </th>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("	</tbody>\r\n");

	}	//end if


	if (config.Showonline==1)
	{

	templateBuilder.Append("    <tr class=\"tr2\">\r\n");
	templateBuilder.Append("      <td colspan=\"2\">&raquo; 在线用户<a name=\"online\"></a> - 共 " + totalonline.ToString() + " 人在线," + totalonlineuser.ToString() + " 位会员," + totalonlineguest.ToString() + "\r\n");
	templateBuilder.Append("        位游客</td>\r\n");
	templateBuilder.Append("    </tr>\r\n");
	templateBuilder.Append("    <tr class=\"tr3\">\r\n");
	templateBuilder.Append("      <td class=\"f_two tac\" style=\"padding:0\" width=\"4%\"><img src=\"templates/fangpage/images/online.gif\" /></td>\r\n");
	templateBuilder.Append("      <td class=\"f_one tal\" style=\"padding:15px 20px\"><img src=\"templates/fangpage/images/role/superadmin.gif\" width=\"12\" height=\"16\" align=\"absmiddle\" /> 超级管理员 <img src=\"templates/fangpage/images/role/admin.gif\" width=\"12\" height=\"16\" align=\"absmiddle\" /> 管理员 <img src=\"templates/fangpage/images/role/member.gif\" width=\"12\" height=\"16\" align=\"absmiddle\" /> 会员  <img src=\"templates/fangpage/images/role/guest.gif\" width=\"12\" height=\"16\" align=\"absmiddle\" /> 游客 <a name=\"online\"></a>\r\n");

	if (showonline)
	{

	templateBuilder.Append("       [<a href=\"index.aspx?online=no\">关闭在线列表</a>] \r\n");

	}
	else
	{

	templateBuilder.Append("       [<a href=\"index.aspx?online=yes#online\">打开在线列表</a>] \r\n");

	}	//end if

	templateBuilder.Append("       </td>\r\n");
	templateBuilder.Append("    </tr>\r\n");

	if (showonline)
	{

	templateBuilder.Append("    <tr class=\"tr3\">\r\n");
	templateBuilder.Append("      <td class=\"f_two tac\" style=\"padding:0\" width=\"4%\"></td>\r\n");
	templateBuilder.Append("      <td class=\"f_one tal\" style=\"padding:15px 20px\">\r\n");

	int onlines__loop__id=0;
	foreach(OnlineUserInfo onlines in onlineuserlist)
	{
		onlines__loop__id++;

	int uid = onlines.Userid;
	

	if (uid==adminid)
	{

	templateBuilder.Append("        <img src=\"templates/fangpage/images/role/superadmin.gif\" width=\"12\" height=\"16\" align=\"absmiddle\">\r\n");

	}
	else if (onlines.Roleid==1)
	{

	templateBuilder.Append("        <img src=\"templates/fangpage/images/role/admin.gif\" width=\"12\" height=\"16\" align=\"absmiddle\">\r\n");

	}
	else if (onlines.Roleid==2)
	{

	templateBuilder.Append("        <img src=\"templates/fangpage/images/role/member.gif\" width=\"12\" height=\"16\" align=\"absmiddle\">\r\n");

	}
	else if (onlines.Roleid==3)
	{

	templateBuilder.Append("        <img src=\"templates/fangpage/images/role/waitmember.gif\" width=\"12\" height=\"16\" align=\"absmiddle\">\r\n");

	}
	else
	{

	templateBuilder.Append("        <img src=\"templates/fangpage/images/role/guest.gif\" width=\"12\" height=\"16\" align=\"absmiddle\">\r\n");

	}	//end if


	if (onlines.Realname!="")
	{

	templateBuilder.Append("" + onlines.Realname.ToString().Trim() + "\r\n");

	}
	else
	{

	templateBuilder.Append("" + onlines.Username.ToString().Trim() + "\r\n");

	}	//end if


	}	//end loop

	templateBuilder.Append("      </td>\r\n");
	templateBuilder.Append("    </tr>\r\n");

	}	//end if


	}	//end if

	templateBuilder.Append("  </table>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<script language=\"javascript\" src=\"templates/fangpage/js/deploy.js\"></" + "script>\r\n");

	templateBuilder.Append("<div id=\"bottom\"></div>\r\n");
	templateBuilder.Append("<br />\r\n");
	templateBuilder.Append("<center class=\"gray\">\r\n");
	templateBuilder.Append("  <p> Copyright© 2009-" + Utils.GetDate(nowdatetime,"yyyy") + " FangPage.Com All Rights Reserved. " + config.Company.ToString().Trim() + " 版权所有<br /><br />\r\n");
	templateBuilder.Append("    在线技术支持：<a target=\"_blank\" href=\"http://wpa.qq.com/msgrd?v=3&uin=12677206&site=qq&menu=yes\"><img border=\"0\" src=\"http://wpa.qq.com/pa?p=2:12677206:41\" width=\"74\" height=\"22\" alt=\"点击这里给我发消息\" title=\"点击这里给我发消息\" align=\"absmiddle\"></a>，QQ：12677206，电话：13481092810，欢迎加入群：17672212<br /><br />\r\n");
	templateBuilder.Append("    本站基于方配网站服务器(FPWebServer)搭建的Demo站点，<a href=\"http://webscan.360.cn\" name=\"36f3c523471164d261b49a5d5ad39228\" target=\"_blank\">360网站安全检测</a>，\r\n");
	templateBuilder.Append("<script src=\"http://s14.cnzz.com/stat.php?id=3381972&web_id=3381972&show=pic\" language=\"javascript\"></" + "script>\r\n");
	templateBuilder.Append("  <script src=\"" + webpath.ToString() + "plugins/counter/counter.aspx?sortid=" + BMSRequest.GetString("fid") + "\" type=\"text/javascript\"></" + "script>\r\n");
	templateBuilder.Append("<div style=\"display:none\">\r\n");
	templateBuilder.Append("<script src=\"http://www.fangpage.com/software/wms/stat.aspx?ver=" + bmsver.ToString() + "&domain=" + domain.ToString() + "&action=index\" type=\"text/javascript\"></" + "script>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("</p>\r\n");
	templateBuilder.Append("</center>\r\n");
	templateBuilder.Append("<script language=\"javascript\" src=\"templates/fangpage/js/global.js\"></" + "script>\r\n");
	templateBuilder.Append("<script language=\"javascript\">\r\n");
	templateBuilder.Append("var openmenu = {'td_profile' : 'menu_profile'};\r\n");
	templateBuilder.Append("read.InitMenu();\r\n");
	templateBuilder.Append("</" + "script>\r\n");
	string jsurl = "js";
	
	templateBuilder.Append("<script type=\"text/javascript\" id=\"bdshare_js\" data=\"type=slide&img=0\" ></" + "script>\r\n");
	templateBuilder.Append("<script type=\"text/javascript\" id=\"bdshell_js\"></" + "script>\r\n");
	templateBuilder.Append("<script type=\"text/javascript\">\r\n");
	templateBuilder.Append("		var bds_config = {\"bdTop\":200};\r\n");
	templateBuilder.Append("		document.getElementById(\"bdshell_js\").src = \"http://share.baidu.com/static/" + jsurl.ToString() + "/shell_v2.js?t=\" + new Date().getHours();\r\n");
	templateBuilder.Append("</" + "script>\r\n");


	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("</body>\r\n");
	templateBuilder.Append("</html>\r\n");

	Response.Write(templateBuilder.ToString());
}
</script>
